libzypp 17.37.10

zypp::functor::Collector< TOutputIterator > Struct Template Reference

Functor feeding values to an output_iterator. More...

`#include <zypp/base/Collector.h>`

## Public Member Functions
| Collector (TOutputIterator iter_r)
template<class Tp>
bool | operator() (const Tp &value_r) const

## Private Attributes
TOutputIterator | _iter

## Related Symbols
(Note that these are not member symbols.)
template<class TOutputIterator>
Collector< TOutputIterator > | collector (TOutputIterator iter_r)
| Convenience constructor.

## Detailed Description

template<class TOutputIterator>
struct zypp::functor::Collector< TOutputIterator >

Functor feeding values to an output_iterator.

LocaleSet locales;
for_each( begin(), end(),
collector( std::inserter( locales_r, locales_r.begin() ) ) );
zypp::LocaleSet
std::unordered_set< Locale > LocaleSet
Definition Locale.h:29
zypp::functor::Collector::collector
Collector< TOutputIterator > collector(TOutputIterator iter_r)
Convenience constructor.
Definition Collector.h:55

See also
  Convenience constructor collector.

Definition at line 37 of file Collector.h.

## Constructor & Destructor Documentation

## ◆ Collector()

template<class TOutputIterator>

zypp::functor::Collector< TOutputIterator >::Collector | ( | TOutputIterator | iter_r | ) |
| inline

Definition at line 39 of file Collector.h.

## Member Function Documentation

## ◆ operator()()

template<class TOutputIterator>
template<class Tp>

bool zypp::functor::Collector< TOutputIterator >::operator() | ( | const Tp & | value_r | ) | const
| inline

Definition at line 42 of file Collector.h.

## Friends And Related Symbol Documentation

## ◆ collector()

template<class TOutputIterator>

Collector< TOutputIterator > collector | ( | TOutputIterator | iter_r | ) |
| related

Convenience constructor.

Definition at line 55 of file Collector.h.

## Member Data Documentation

## ◆ _iter

template<class TOutputIterator>

TOutputIterator zypp::functor::Collector< TOutputIterator >::_iter
| mutable private

Definition at line 49 of file Collector.h.

The documentation for this struct was generated from the following file:

- zypp/base/Collector.h